Subject: bug#35055: 27.0.50; async-shell-command truncates output lines

From: Michael Albinus <[email-masked]>
Date: Mon, 08 Apr 2019 09:39:18 +0200

Juri Linkov <[email-masked]> writes:

Hi Juri,

>> If you add "COLUMNS=1024" to tramp-remote-process-environment, you would
>> get this effect already w/o any change in Tramp. Maybe I shall document
>> it somewhere in the Tramp manual.
>
> It seems it's impossible to set COLUMNS to the width of the output window
> neither in Tramp nor in async-shell-command.  shell-mode can do this
> using set-process-window-size.  But Tramp can't do the same for the
> remote process, and for async-shell-command it's too late to do this
> because when it displays a window with the output buffer,
> the command is already finished.

Again, using tramp-remote-process-environment seems to be the
appropriate place.

Best regards, Michael.